    One-dimensional Schechter model function.

schechter

This model is for integrated data grids only.

>>> create_model_component("schechter", "mdl")
>>> print(mdl)

Create a component of the schechter model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.alpha thawed 10 -3.40282e+38 3.40282e+38 mdl.ref thawed 1 -3.40282e+38 3.40282e+38 mdl.norm thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
alpha
The slope of the power-law component.
ref
The reference position, which controls the switch from the power-law to the exponential.
norm
The normalisation of the model.

Notes

The functional form of the model for grids is:

f(xlo,xhi) = norm * (xlo / ref)^alpha * exp(-xlo / ref) * (xhi - xlo) / ref

and for points the model is:

f(x) = 0

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023